unit Editband;
{
  Quick Report Editor

  Copyright (c) 1997,2000 Demidov Andre (andre@lion.susu.ac.ru)

}
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  TQRBandSetupFrm = class(TForm)
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BandHeight: TEdit;
    FontSetup: TFontDialog;
    Label2: TLabel;
    FontName: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure BandHeightExit(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  QRBandSetupFrm: TQRBandSetupFrm;

implementation

{$I QREPDEFS.INC}
uses qedconst;
{$R *.DFM}

procedure TQRBandSetupFrm.Button1Click(Sender: TObject);
begin
  if FontSetup.Execute then
  begin
    FontName.Text:=FontSetup.Font.Name+', '+inttostr(FontSetup.Font.Size);
  end;
end;

procedure TQRBandSetupFrm.FormShow(Sender: TObject);
begin
  FontName.Text:=FontSetup.Font.Name+', '+inttostr(FontSetup.Font.Size);
end;

procedure TQRBandSetupFrm.BandHeightExit(Sender: TObject);
begin
  with Sender as TEdit do
  begin
    try
{$IFDEF QR20}
      text:=FloattostrF(StrtoFloat(text),ffFixed,8,1);
{$ELSE}
      text:=inttostr(Strtoint(text));
{$ENDIF}
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;
end;

procedure TQRBandSetupFrm.FormCreate(Sender: TObject);
begin
  Caption:=LoadStr(SBandProp);
  BitBtn1.Caption:=LoadStr(SOK);
  BitBtn2.Caption:=LoadStr(SCancel);
  Label1.Caption:=LoadStr(SBandHeight);
  Label2.Caption:=LoadStr(SBandFont);
end;

end.
